Redmine - Feature #29725

Show recent documents first when sorting documents by date
2018-10-04 04:42 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Documents Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

In Documents page, documents are listed in ascending order by date. When you choose "Dates" in "Sort by" option, dates are sorted
by ascending order. When you choose other options such as "Category", "Title" and "Author", documents in each section are ordered
in ascending order of date (actually those seems to be sorted by ID of a record, but it is ascending order of creation date in many
cases).

But | think that showing the oldest document on the top is inconvenient because users are usually interested in recent documents
rather than ones uploaded several years ago. You should scroll down the page in order to see recently uploaded documents.

| propose to change the behavior to show recent documents first.
Related issues:
Related to Redmine - Feature #1958: Documents: ASC/DESC when sorting New 2008-09-26
Related to Redmine - Defect #763: Sort order for files

Closed

2008-03-01

Associated revisions

Revision 17972 - 2019-03-15 11:51 - Jean-Philippe Lang
Show recent documents first (#29725).

Patch by Yuichi HARADA.

History

#1 - 2018-10-04 04:43 - Go MAEDA
- Related to Feature #1958: Documents: ASC/DESC when sorting added

#2 - 2018-10-04 04:44 - Go MAEDA
- Related to Defect #763: Sort order for files added

#3 - 2018-10-05 09:01 - Yuichi HARADA
- File 29725-descending-order-of-date.patch added

+1
| think that it is very good.

When choose "Dates" in "Sort by", finding new documents from many documents is too hard.

| think it rare to see old documents.

| have created a patch.

#4 - 2018-12-01 09:55 - Go MAEDA

- Target version set to 4.1.0

LGTM. Setting the target version to 4.1.0.

#5 - 2019-03-15 12:04 - Jean-Philippe Lang

- Subject changed from Show recent documents first to Show recent documents first when sorting documents by date

- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.
